require 'rubygems'
require 'bundler/setup'

require 'locomotive_plugins'

require_relative 'plugin/customer_count'

module Locomotive
  module CustomerCount
    class Plugin
      include Locomotive::Plugin

      def self.default_plugin_id
        'customercount'
      end

      # before_page_render :before_render

      # def before_render
      # end

      def to_liquid
        CustomerCountDrop.new(config)
      end

      def config_template_file
        File.join(File.dirname(__FILE__), 'plugin', 'config.haml')
      end

      protected

    end
  end
end
